#include <iostream>

#include <string>
#include <sstream>
#include <stdexcept>

struct Resolution {
	int width;
	int height;
};

Resolution resolutionToPixels(std::string resolution)
{
	Resolution ret;

	std::stringstream stream;
	stream << resolution;

	stream >> ret.width;

	char delimiter;
	bool good = false;
	while(stream.good() && !good) {
		stream >> delimiter;
		// × would be nice, but it can't be used with char
		good = (delimiter == 'x' || delimiter == '*');
	}
	if(!good) {
		throw std::runtime_error("Not a valid resolution format");
	}

	stream >> ret.height;

	return ret;
}

std::string pixelsToResolution(int width, int height)
{
	std::stringstream out;
	out << width << "x" << height;
	return out.str();
}

std::string pixelsToResolution(Resolution res)
{
	return pixelsToResolution(res.width, res.height);
}

int main()
{
	using namespace std;
	Resolution pixels = resolutionToPixels("1280x1024");
	cout << "W: " << pixels.width << "; H: " << pixels.height << endl;
	return 0;
}
